#
# spec file for package radvd (Version 0.6.2pl3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         radvd
Copyright:    BSD style
Group:        System Environment/Daemons
#Provides:
Autoreqprov:  on
Summary:      Router ADVertisement Daemon for IPv6
Version:      0.6.2pl3
Release:      21
Source0:      %{name}-%{version}.tar.bz2
Source1:      radvd.init
Source2:      rc.config.radvd
#BuildRoot:    /var/tmp/%{name}-%{version}

%description
radvd is the Router ADVertisement Daemon. It's used for automated
configuration of IPv6 networks. Most people won't need this.

Authors:
--------
    Lars Fenneberg <lf@elemental.net>

SuSE series: n

%prep
%setup

%build
./configure --prefix=/usr --mandir=%{_mandir} --sysconfdir=/etc --with-configfile=/etc/radvd.conf
make

%install
make install
install -m 0755 $RPM_SOURCE_DIR/radvd.init /etc/init.d/radvd
ln -sf /etc/init.d/radvd /usr/sbin/rcradvd
install -m 0644 $RPM_SOURCE_DIR/rc.config.radvd /var/adm/fillup-templates/
#%pre

%files
/usr/sbin/radvd
/usr/sbin/radvdump
%doc %{_mandir}/man8/radvd.8.gz
%doc %{_mandir}/man8/radvdump.8.gz
%doc %{_mandir}/man5/radvd.conf.5.gz
%doc radvd.conf.example CHANGES COPYRIGHT TODO INTRO.html
/etc/init.d/radvd
/usr/sbin/rcradvd
/var/adm/fillup-templates/rc.config.radvd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
	bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.radvd
else
	echo "ERROR: fillup not found. This should not happen. Please compare"
	echo "etc/rc.config and var/adm/fillup-templates/rc.config.radvd"
	echo "and update by hand."
fi
sbin/insserv etc/init.d/radvd

%postun
sbin/insserv etc/init.d/

%changelog -n radvd
* Wed Jun 06 2001 - bjacke@suse.de
- update to 0.6.2pl3
* Mon Apr 23 2001 - kukuk@suse.de
- Fix type in START variable
* Mon Apr 09 2001 - bjacke@suse.de
- init script rework
* Mon Feb 05 2001 - bjacke@suse.de
- updated to 0.6.2
* Wed Jan 10 2001 - bjacke@suse.de
- removed service from runlevel 2
* Mon Nov 27 2000 - bjacke@suse.de
- moved init script to /etc/init.d
* Thu Nov 23 2000 - bjacke@suse.de
- use insserv for init.d script
* Mon Nov 13 2000 - bjacke@suse.de
- some specfile fixes
* Sat Oct 28 2000 - bjacke@suse.de
- initial build
